clear all
load Model0

parameter={'loss aversion', '\alpha^+','\beta^+', '\alpha^-','\beta^-','\sigma' };

base(1,:)=linspace(0.01,10);
base(2,:)=linspace(0.01,2);
base(3,:)=linspace(0.01,2);
base(4,:)=linspace(0.01,2);
base(5,:)=linspace(0.01,2);
base(6,:)=linspace(0.002,0.4);


% Plot alpha_plus and alpha_minus
figure
k=2;
x=base(k,:);
y=lognpdf(x,bhat(k,1),sqrt(what(k,1)));
h=plot(x,y,'-');
set(h,'linewidth',2,'color',[255 200 0]./255);
hold on
k=4;
x=base(k,:);
y=lognpdf(x,bhat(k,1),sqrt(what(k,1)));
h=plot(x,y,'-');
set(h,'linewidth',2,'color',[120 180 220]./255);
legend('$\alpha^+$','$\alpha^-$');
set(legend,'interpreter','latex','fontsize',16);
temp=axis;
line([1 1],[temp(3) temp(4)])
hy=ylabel('density');
set(hy,'fontsize',14);
hx=xlabel('sensitivity parameters');
set(hx,'fontsize',14);
    set(gcf, 'InvertHardCopy', 'off');

saveas(gcf,'graph_model0_alpha','epsc')

figure
k=3;
x=base(k,:);
y=lognpdf(x,bhat(k,1),sqrt(what(k,1)));
h=plot(x,y,'-');
set(h,'linewidth',2,'color',[255 200 0]./255);
hold on
k=5;
x=base(k,:);
y=lognpdf(x,bhat(k,1),sqrt(what(k,1)));
h=plot(x,y,'-');
set(h,'linewidth',2,'color',[120 180 220]./255);
legend('$\beta^+$','$\beta^-$');
set(legend,'interpreter','latex','fontsize',16);
temp=axis;
line([1 1],[temp(3) temp(4)])
hy=ylabel('density');
set(hy,'fontsize',14);
hx=xlabel('(standard) risk aversion/seeking parameters');
set(hx,'fontsize',14);
    set(gcf, 'InvertHardCopy', 'off');

saveas(gcf,'graph_model0_beta','epsc')


% Delta method
A(:,1)=exp(bhat);
A(:,2)=bsd.*A(:,1);
A(:,3)=what.*A(:,1).^2;
A(:,4)=wsd.*A(:,1).^2;
A(:,5)=exp(bhat(:,1)+what(:,1)/2);
A(:,6)=sqrt((exp(what(:,1))-1).*exp(2.*bhat(:,1)+what(:,1)));

B=A';
B=B(:,[2:5 1 6]);
disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%% STORE ESTIMATES in a LATEX Table %%%%%%%%%%%%%%%%%%')
disp(' ')
% Save ax Latex Table      
 columnLabels = { '$\alpha^+$','$\beta^+$','$\alpha^-$','$\beta^-$','$\lambda$','$\sigma^+$'};
 rowLabels ={ 'Median' ;'SE';'Variance' ;'SE' ;'True Mean';'Tue Std dev'};
matrix2latex(B, 'Model0.tex', 'rowLabels', rowLabels, 'columnLabels', columnLabels, 'alignment', 'c', 'format', '%-6.2f', 'size', 'footnotesize');

