

clear all
load Model2_Individual
load Model1_Individual

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Define base values %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

parameter={'$\lambda$', '$\alpha^+$','$\beta^+$', '$\alpha^-$','$\beta^-$','$\sigma$' };
parameter_name={'lambda','alpha_plus','beta_plus','alpha_minus','beta_minus','sigma'};
name_p={'loss aversion parameter' 'sensitivity parameter' 'pessimism' 'sensitivity parameter' 'optimism' 'noise parameter'};
base(1,:)=linspace(0.01,4);
base(2,:)=linspace(0.01,2);
base(3,:)=linspace(0.01,2);
base(4,:)=linspace(0.01,2);
base(5,:)=linspace(0.01,2);
base(6,:)=linspace(0.002,0.4);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Plot distributions %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%



% Plot one by one
for k=1:6
    figure
     clear temp
    
    % Plot observed characteristics only
    temp=squeeze(Model1_OBS(1,k,:));   
    
     [f,xi] = ksdensity(temp(:));
       ho1=plot(xi,f,'-');
       
       set(ho1,'linewidth',2,'color',[0 0 0]./255);
       hold on


           clear temp
    
    % Plot observed+unobs characteristics 
    temp=squeeze(Model1_PARAM(1,k,:));   
    
     [f,xi] = ksdensity(temp(:));
       hu1=plot(xi,f,'--');
       
       set(hu1,'linewidth',2,'color',[0 0 0]./255);
       hold on
      
       clear temp
       
   
    
    
      % Plot observed+unobserved characteristics 
    temp=squeeze(Model2_OBS(1,k,:));   
    
     [f,xi] = ksdensity(temp(:));
       ho2=plot(xi,f,'-');
       
       set(ho2,'linewidth',2,'color',[130 130 130]./255);
       hold on

                 clear temp
    
    % Plot observed+unobs characteristics 
    temp=squeeze(Model2_PARAM(1,k,:));   
    
     [f,xi] = ksdensity(temp(:));
       hu2=plot(xi,f,'--');
       
       set(hu2,'linewidth',2,'color',[130 130 130]./255);
       hold on
 
       
    clear temp
    

    
    
    
    %title(['correlation: ' num2str(nancorr(squeeze(Model2_PARAM(1,k,:)),squeeze(Model1_PARAM(1,k,:))))])
       name1=[char(name_p(k)) char(' (') char(parameter(k)) char(')')];
       hx=xlabel(name1);
       set(hx,'interpreter','latex','fontsize',16);
       
       hy=ylabel('kernel density');
       set(hy,'fontsize',14);
set(gca,'XLim',[min(base(k,:)) max(base(k,:))])

%name1=[char(parameter(k)  ) char(' : country effect')];
%name2=[char(parameter(k)  ) char(' : macro indicators')];
name1=[char('country dummies  (obs.)')];
name11=[char('(obs.+unobs.)')];
name2=[char('macro indicators (obs)')];
name21=[char('(obs.+unobs.)')];

legend(name1,name11, name2,name21);
set(legend,'fontsize',14);
  
    set(gcf, 'InvertHardCopy', 'off');
    
  
name3=[ char('graph_model_1vs2_') char(parameter_name(k)  )];

   saveas(gcf,name3,'epsc')
   saveas(gcf,name3,'pdf')
   saveas(gcf,name3,'png')

   close

end 



%figure

% % Plot one figure for all distributions
% for k=1:6
%     subplot(3,2,k)
%      clear temp
%     
%     % Plot observed characteristics only
%     temp=squeeze(Model1_OBS(1,k,:));   
%     
%      [f,xi] = ksdensity(temp(:));
%        ho1=plot(xi,f,'-');
%        
%        set(ho1,'linewidth',2,'color',[254 127 14]./255);
%        hold on
% 
%     clear temp
%     
%     
%       % Plot observed characteristics only
%     temp=squeeze(Model2_OBS(1,k,:));   
%     
%      [f,xi] = ksdensity(temp(:));
%        ho2=plot(xi,f,'-');
%        
%        set(ho2,'linewidth',2,'color',[31 119 180]./255);
%        hold on
% 
%     clear temp
%     
% 
%        name1=[char(name_p(k)) char(' (') char(parameter(k)) char(')')];
%        hx=xlabel(name1);
%        set(hx,'interpreter','latex','fontsize',16);
%        
%        hy=ylabel('kernel density');
%        set(hy,'fontsize',14);
% set(gca,'XLim',[min(base(k,:)) max(base(k,:))])
% 
% %name1=[char(parameter(k)  ) char(' : country effect')];
% %name2=[char(parameter(k)  ) char(' : macro indicators')];
% name1=[char('country dummies')];
% name2=[char('macro indicators')];
% 
% legend(name1, name2);
% %set(legend,'interpreter','latex','fontsize',12);
%   
% end 


