% Plot observed vs. observed+unobserved heterogeneity


clear all
load Model2.mat

F=fhat';
w_base=diag(what);
b=bhat;

% Replaced Nan by zeros
F(isnan(F))=0;
w_base(isnan(w_base))=0;

Nperson=size(draws,1);
Ndraws=size(draws,2);


% Use a for loop for simple computations and for use of global variables
for i=1:Nperson 
   
    obs=zeros(Ndraws,NV);
    % Observed heterogeneity in parameters
    if NF>0
            for j=1:NV
                    if any(find(IDF(:,2)==j))
                   obs(:,j)=repmat(COVARIATES(i,find(IDF(:,2)==j))*F(:,j),Ndraws,1);
                    end
            end         
    end

    % For fixed effects on W insert here the fixed effects
     % UnObserved heterogeneity in parameters
    % Replicate individual i choice for each sample of parameters
    temp=[Choice_Gains(i,:) Choice_Losses(i,:)  Choice_Mixed(i,:)]';
    Choice=repmat(temp,1,Ndraws);
    
     % Unobserved heterogeneity in parameters, 1. normal: N(b,w) where mean b and variance covariance w are estimated.
    unobs=MVR(b,w_base,squeeze(draws(i,:,:)));
    
     % Observed heterogeneity in parameters
    if NF==0
        obs=0*unobs;
    end
     
    % Compute parameters values
try
    param=unobs+obs;
catch
    disp('Problem in concatenation of observables/unobservables')
end
    

Obs=repmat(b',size(obs,1),1)+obs;
Unobs=-repmat(b',size(obs,1),1)+unobs;

      OBS1(:,:,i)=(Obs);
      UNOBS1(:,:,i)=(Unobs);
% Transform parameter values: 
        % 2. lognormal: coefficient is exp(beta) where beta~N(b,w) with b and w estimated
                param(:,IDV(:,1) == 2,:)=exp(param(:,IDV(:,1) == 2,:));
                    Obs(:,IDV(:,1) == 2,:)=exp(Obs(:,IDV(:,1) == 2,:));
 
  
   PARAMETERS(:,:,i)=param;
    OBS(:,:,i)=(Obs);
  
  
    
end



%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Define base values %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

parameter={'$\lambda$', '$\alpha^+$','$\beta^+$', '$\alpha^-$','$\beta^-$','$\sigma$' };
parameter_name={'lambda','alpha_plus','beta_plus','alpha_minus','beta_minus','sigma'};
name_p={'loss aversion parameter' 'insensitivity parameter' '(standard) risk aversion parameter' 'insensitivity parameter' '(standard) risk seeking parameter' 'noise parameter'};
base(1,:)=linspace(0.01,4);
base(2,:)=linspace(0.01,2);
base(3,:)=linspace(0.01,2);
base(4,:)=linspace(0.01,2);
base(5,:)=linspace(0.01,2);
base(6,:)=linspace(0.002,0.4);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Plot distributions %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Plot one figure for each distribution


% for k=1:6
%     figure
%     
%     clear temp
%     
%     % Plot observed characteristics only
%     temp=squeeze(OBS(1,k,:));   
%     
%      [f,xi] = ksdensity(temp(:));
%        ho=plot(xi,f,'-');
%        
%        set(ho,'linewidth',2,'color',[254 127 14]./255);
%        hold on
% 
%     clear temp
%         % Plot observed+unobserved characteristics 
%         
%         
% temp=squeeze(PARAMETERS(:,k,:));
% [f,xi] = ksdensity(temp(:));
%        hou=plot(xi,f,'-');
%        set(hou,'linewidth',2,'color',[31 119 180]./255);
% 
%        hx=xlabel(parameter(k));
%        set(hx,'interpreter','latex','fontsize',16);
%        
%        hy=ylabel('density');
%        set(hy,'fontsize',14);
% set(gca,'XLim',[min(base(k,:)) max(base(k,:))])
%   
%        name3=[ char('Plot_obs_vs_unobs') char(parameter_name(k)  )];
% 
%    saveas(gcf,name3,'epsc')
% close
%      
% end
% 
% 
% figure
% 
% % Plot one figure for all distributions
% for k=1:6
%     subplot(3,2,k)
%      clear temp
%     
%     % Plot observed characteristics only
%     temp=squeeze(OBS(1,k,:));   
%     
%      [f,xi] = ksdensity(temp(:));
%        ho=plot(xi,f,'-');
%        
%        set(ho,'linewidth',2,'color',[254 127 14]./255);
%        hold on
% 
%     clear temp
%         % Plot observed+unobserved characteristics 
% 
% temp=squeeze(PARAMETERS(:,k,:));
% [f,xi] = ksdensity(temp(:));
%        hou=plot(xi,f,'-');
%        set(hou,'linewidth',2,'color',[31 119 180]./255);
% 
%        name1=[char(name_p(k)) char('(') char(parameter(k)) char(')')];
%        hx=xlabel(name1);
%        set(hx,'interpreter','latex','fontsize',16);
%        
%        hy=ylabel('density');
%        set(hy,'fontsize',14);
% set(gca,'XLim',[min(base(k,:)) max(base(k,:))])
%   
% end   
    
Model2_PARAM=PARAMETERS;
Model2_OBS=OBS;


disp(' ')
disp('Part of total variance explained by the observable')
disp(var(squeeze(OBS1(1,:,:))')./(var(squeeze(OBS1(1,:,:))')+(what)'));


disp('Observed variance, transformed by exponential')
disp(var(squeeze(OBS(1,:,:))'));


save Model2_Individual Model2_PARAM Model2_OBS

    