

clear all
load Model3_Individual
load Model1_Individual

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Define base values %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

parameter={'$\lambda$', '$\alpha^+$','$\beta^+$', '$\alpha^-$','$\beta^-$','$\sigma$' };
parameter_name={'lambda','alpha_plus','beta_plus','alpha_minus','beta_minus','sigma'};
name_p={'loss aversion parameter' 'sensitivity parameter' 'pessimism' 'sensitivity parameter' 'optimism' 'noise parameter'};
base(1,:)=linspace(0.01,4);
base(2,:)=linspace(0.01,2);
base(3,:)=linspace(0.01,2);
base(4,:)=linspace(0.01,2);
base(5,:)=linspace(0.01,2);
base(6,:)=linspace(0.002,0.4);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Plot distributions %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%


plot(squeeze(Model1_OBS(1,2,:))',squeeze(Model3_OBS(1,2,:))','o')
hold on
h=plot(squeeze(Model1_OBS(1,2,:))',squeeze(Model1_OBS(1,2,:))','xg')
set(h,'linewidth',4)
axis([.1 1.1 .1 1.1]);
xlabel(['Simple model, variance = ' num2str(var(squeeze(Model1_OBS(1,2,:))'))])
ylabel(['Complicated model, variance = ' num2str(var(squeeze(Model3_OBS(1,2,:))'))])

% Plot one by one
for k=1:6
    figure
     clear temp
    
    % Plot observed characteristics only
    temp=squeeze(Model1_OBS(1,k,:));   
    
     [f,xi] = ksdensity(temp(:));
       ho1=plot(xi,f,'-');
       
       set(ho1,'linewidth',2,'color',[0 0 0]./255);
       hold on


           clear temp
    
    % Plot observed+unobs characteristics 
    temp=squeeze(Model1_PARAM(1,k,:));   
    
     [f,xi] = ksdensity(temp(:));
       hu1=plot(xi,f,'--');
       
       set(hu1,'linewidth',2,'color',[0 0 0]./255);
       hold on
      
       clear temp
    
      % Plot observed+unobserved characteristics 
    temp=squeeze(Model3_OBS(1,k,:));   
    
     [f,xi] = ksdensity(temp(:));
       ho2=plot(xi,f,'-');
       
       set(ho2,'linewidth',2,'color',[130 130 130]./255);
       hold on

                 clear temp
    
    % Plot observed+unobs characteristics 
    temp=squeeze(Model3_PARAM(1,k,:));   
    
     [f,xi] = ksdensity(temp(:));
       hu2=plot(xi,f,'--');
       
       set(hu2,'linewidth',2,'color',[130 130 130]./255);
       hold on
 
       
    clear temp
    
    
       name1=[char(name_p(k)) char(' (') char(parameter(k)) char(')')];
       hx=xlabel(name1);
       set(hx,'interpreter','latex','fontsize',16);
       
       hy=ylabel('kernel density');
       set(hy,'fontsize',14);
set(gca,'XLim',[min(base(k,:)) max(base(k,:))])

%name1=[char(parameter(k)  ) char(' : country effect')];
%name2=[char(parameter(k)  ) char(' : macro indicators')];
name1=[char('country dummies  (obs.)')];
name11=[char('(obs.+unobs.)')];
name2=[char('individual char. (obs)')];
name21=[char('(obs.+unobs.)')];


legend(name1,name11, name2,name21);
set(legend,'fontsize',14);
      set(gcf, 'InvertHardCopy', 'off');


name3=[ char('graph_model_1vs3_') char(parameter_name(k)  )];

   saveas(gcf,name3,'epsc')
   saveas(gcf,name3,'png')

   close

end 



% figure
% 
% % Plot one figure for all distributions
% for k=1:6
%     subplot(3,2,k)
%      clear temp
%     
%     % Plot observed characteristics only
%     temp=squeeze(Model1_OBS(1,k,:));   
%     
%      [f,xi] = ksdensity(temp(:));
%        ho1=plot(xi,f,'-');
%        
%        set(ho1,'linewidth',2,'color',[254 127 14]./255);
%        hold on
% temp_a=temp;
% 
%     clear temp
%     
%     
%       % Plot observed characteristics only
%     temp=squeeze(Model3_OBS(1,k,:));   
%     
%      [f,xi] = ksdensity(temp(:));
%        ho2=plot(xi,f,'-');
%        
%        set(ho2,'linewidth',2,'color',[31 119 180]./255);
%        hold on
% temp_b=temp;
% 
%     clear temp
%     
% 
%        name1=[char(name_p(k)) char(' (') char(parameter(k)) char(')')];
%        hx=xlabel(name1);
%        set(hx,'interpreter','latex','fontsize',16);
%        
%        hy=ylabel('kernel density');
%        set(hy,'fontsize',14);
% set(gca,'XLim',[min(base(k,:)) max(base(k,:))])
% title(['Correlation' num2str(nancorr(temp_a,temp_b))])
% 
% %name1=[char(parameter(k)  ) char(' : country effect')];
% %name2=[char(parameter(k)  ) char(' : macro indicators')];
% name1=[char('country dummies')];
% name2=[char('individual char.')];
% 
% legend(name1, name2);
% %set(legend,'interpreter','latex','fontsize',12);
%   
% end 
% 
% saveas(gcf,'Model1vs.Model3_ALL','epsc');
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % Plot one by one
% for k=1:6
%     figure
%      clear temp
%     
%     % Plot observed characteristics only
%    ho3=scatter(Model1_OBS(1,k,:),Model3_OBS(1,k,:));
%    hold on
%    plot([min(Model1_OBS(1,k,:)) max(Model1_OBS(1,k,:))],[min(Model1_OBS(1,k,:)) max(Model1_OBS(1,k,:))],'k-')
%    axis([min(Model1_OBS(1,k,:))*.98 max(Model1_OBS(1,k,:))*1.02 min(Model3_OBS(1,k,:))*.98 max(Model3_OBS(1,k,:))*1.02]);
% 
%    name1=[char(name_p(k)) char(' (') char(parameter(k)) char(')')];
%        ht=title(name1);
%       set(ht,'interpreter','latex','fontsize',16);
% hx=xlabel('Country dummies');
%        set(hx,'fontsize',14);
% hy=ylabel('Country dummies and ind. char.');
%        set(hy,'fontsize',14);
%        
%    
%       set(gcf, 'InvertHardCopy', 'off');
% 
% 
% name3=[ char('scatter_model_1vs3_') char(parameter_name(k)  )];
% 
%    saveas(gcf,name3,'epsc')
% close
% 
% end 
