function eta=MVR2(MU,L,draws)
% function eta=MVR(MU,L,draws)
%
% Transform normal iid draws in multivariate draws
% MU:       mean, row vector
% L:    choleski decomposition of the variance-covariance matrix
% draws:    N normal iid draws: N  x K matrix
%
% Example: draws a sequence of 1000 Halton draws for 3 parameters
% draws=makedraws2(1000,3,1,3);
% draws=permute(draws,[1,3,2]);
% MU=[.5 12 -4];
% L=chol([.4 .23 0;.23 2 0; 0 0 .1],'lower');

try
% compute multivariate values
eta=(L*draws')'+repmat(MU',size(draws,1),1);
catch
% compute multivariate values
eta=repmat(abs(MU'*0),size(draws,1),1);   
disp('Catch Called, unable to perform MVR2 in the standard way');
end


