%
% LAUNCH STATA2MATLAB FIRST
% 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%              GENERATE COVARIABLES                %%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


data2 = csv2mat_numeric('Export_Countries.out'); 
clear IA
[C,IA,IC]=unique(data2.subject_global); 
CO(:,1)=data2.Australia(IA);
CO(:,2)=data2.Belgium(IA);
CO(:,3)=data2.Brazil(IA);
CO(:,4)=data2.Cambodia(IA);
CO(:,5)=data2.Chile(IA);
CO(:,6)=data2.China(IA);
CO(:,7)=data2.Colombia(IA);
CO(:,8)=data2.Costarica(IA);
CO(:,9)=data2.Czech(IA);
CO(:,10)=data2.Ethiopia(IA);
CO(:,11)=data2.France(IA);
CO(:,12)=data2.Germany(IA);
CO(:,13)=data2.Guatemala(IA);
CO(:,14)=data2.India(IA);
CO(:,15)=data2.Japan(IA);
CO(:,16)=data2.Kyrgyzstan(IA);
CO(:,17)=data2.Malaysia(IA);
CO(:,18)=data2.Nicaragua(IA);
CO(:,19)=data2.Nigeria(IA);
CO(:,20)=data2.Peru(IA);
CO(:,21)=data2.Poland(IA);
CO(:,22)=data2.Russia(IA);
CO(:,23)=data2.Saudi(IA);
CO(:,24)=data2.Southafrica(IA);
CO(:,25)=data2.Spain(IA);
CO(:,26)=data2.Thailand(IA);
CO(:,27)=data2.Tunisia(IA);
CO(:,28)=data2.UK(IA);
CO(:,29)=data2.USA(IA);
CO(:,30)=data2.Vietnam(IA);


data3 = csv2mat_numeric('Export_Biological.out'); 
clear IA
[C,IA,IC]=unique(data3.subject_global); 
BIO(:,1)=data3.female(IA);
BIO(:,2)=data3.age_z(IA);
BIO(:,3)=data3.height_z(IA);

data4 = csv2mat_numeric('Export_Cultural.out'); 
clear IA
[C,IA,IC]=unique(data4.subject_global); 
PER(:,1)=data4.individualism(IA);
PER(:,2)=data4.uncertainty_avoidance(IA);
PER(:,3)=data4.power_distance(IA);
PER(:,4)=data4.masculinity(IA);

data5 = csv2mat_numeric('Export_Religion.out');
clear IA
[C,IA,IC]=unique(data5.subject_global); 
REG(:,1)=data5.atheist(IA);
REG(:,2)=data5.catholic(IA);
REG(:,3)=data5.orthodox(IA);
REG(:,4)=data5.muslim(IA);
REG(:,5)=data5.jewish(IA);
REG(:,6)=data5.hindu(IA);
REG(:,7)=data5.buddist(IA);
REG(:,8)=data5.religion_other(IA);
% delete 9 protestant

data6 = csv2mat_numeric('Export_Study.out');
clear IA
[C,IA,IC]=unique(data6.subject_global); 
    STU(:,1)=data6.gpa_z(IA);
    STU(:,2)=data6.math(IA);
    STU(:,3)=data6.natural(IA);
    STU(:,4)=data6.medicine(IA);
    STU(:,5)=data6.social(IA);
    STU(:,6)=data6.humanities(IA);
    STU(:,7)=data6.arts(IA);
    STU(:,8)=data6.study_other(IA);
% delete 2 econ

data7 = csv2mat_numeric('Export_Income.out');
clear IA
% changed all data7 INC
[C,IA,IC]=unique(data7.subject_global); 
INC(:,1)=data7.gdp_difference(IA);    
INC(:,2)=data7.log_expenses_z(IA);
INC(:,3)=data7.foreigner(IA); 
INC(:,4)=data7.gini_z(IA);
INC(:,5)=data7.private(IA);
INC(:,6)=data7.opec(IA);
INC(:,7)=data7.oil_rent(IA); 
INC(:,8)=data7.gdp_corrected(IA);
INC(:,9)=data7.gini_difference(IA); 
INC(:,10)=data7.africa(IA);
INC(:,11)=data7.asia(IA); 
INC(:,12)=data7.americas(IA);
INC(:,13)=data7.oceania(IA); 
INC(:,14)=data7.peuro(IA); 
INC(:,15)=data7.latitude_60(IA);
INC(:,16)=data7.pdiv(IA);
INC(:,17)=data7.pdiv_sqr(IA);
INC(:,18)=data7.landlocked(IA);
INC(:,19)=data7.fstdistwtd_eth(IA);
INC(:,20)=data7.legor_uk(IA); 
INC(:,21)=data7.legor_fr(IA); 
INC(:,22)=data7.legor_so(IA);  
INC(:,23)=data7.legor_ge(IA);
INC(:,24)=data7.legor_sc(IA);
INC(:,25)=data7.institutions(IA);    
    
save COVAR CO BIO PER REG STU INC

COV(:,1)=C;
COV(:,13:42)=CO;
COV(:,43:45)=BIO;
COV(:,46:49)=PER;
COV(:,50:57)=REG;
COV(:,58:65)=STU;
COV(:,66:90)=INC;
 save COV COV
 
save Certainty_Equivalents COV

clear all


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%              BUILD MAIN MATRIX                   %%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% BUILD V MATRIX AND CE MATRIX FROM X MATRIX
%
% X matrix built from Stata dta file
%
% 1. Run ConvertStataMatlab.do, creates Export.out
%
% Import DATA from Export.out
data = csv2mat_numeric('Export_Main.out');

% Stata command was:
% outsheet equivalent probability high low equiv_nr subject_global country risk using Export_Main, comma

% Generate X matrix from Export 
 X(:,1)=data.equivalent;
 X(:,2)=data.probability;
 X(:,3)=data.high;
 X(:,4)=data.low;
 X(:,5)=data.equiv_nr;
 X(:,6)=data.subject_global;
 X(:,7)=data.risk;
 X(:,8)=data.country;

 
save X X

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%% BUILD CE MATRIX %%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


s=1;

CE=nan(44,11,size(unique(X(:,6)),1));

for s=1:max(X(:,6))                                 % iteration over subjects
   
    
    temp=X(X(:,6)==s,:);                  % identify questions for subject s and risk=1
    
    
    for k=1:44
        
        if any(temp(:,5)==k)
            j=find(temp(:,5)==k);
            CE(k,1:4,s)=[temp(j,4) temp(j,3) temp(j,2) temp(j,1)];     
            CE(k,5,s)=s;                          % Column 5: subject index
            CE(k,6,s)=temp(j,7);                       % Column 6: Risk index
            if temp(j,5)<23                          % Column 7: Gains
            CE(k,7,s)=1;                
            elseif temp(j,5)<44
             CE(k,7,s)=-1;                              % Column 7: Losses
            elseif temp(j,5)==44
                CE(k,7,s)=0;
            end
            CE(k,11,s)=temp(j,5);                               % Column 11: question number
        end
        end
    
end

CE(:,8,:)=CE(:,3,:).*CE(:,2,:)+(1-CE(:,3,:)).*CE(:,1,:);                    % Column 8: Expected Value
CE(:,9,:)=CE(:,3,:).*CE(:,2,:).^2+(1-CE(:,3,:)).*CE(:,1,:).^2;              % Column 9: E^2
CE(:,9,:)=(CE(:,9,:)-CE(:,8,:).^2).^.5;                                     % Column 9: Standard Deviation
CE(:,10,:)=CE(:,7,:).*(CE(:,4,:)-CE(:,8,:))./CE(:,9,:);                     % Column 10: risk premium

% Risk Only

CER=CE(CE(:,6,1)==1,:,:);

% Uncertainty Only
CEU=CE(CE(:,6,1)==0,:,:);

%CE_L=nan(13,11,size(CE,3));
%CE_M=nan(1,11,size(CE,3));
%CE_G=nan(14,11,size(CE,3));

Rangement=[... 
         0  -20.0000    0.1250;
         0  -20.0000    0.2500;
         0  -20.0000    0.3750;
         0  -20.0000    0.5000;
         0  -20.0000    0.6250;
         0  -20.0000    0.7500;
         0  -20.0000    0.8750;
         0  -10.0000    0.5000;
         0   -5.0000    0.5000;
  -10.0000  -20.0000    0.5000;
   -5.0000  -20.0000    0.5000;
   -5.0000  -20.0000    0.1250;
   -5.0000  -20.0000    0.8750;
         0   20.0000    0.1250;
         0   20.0000    0.2500;
         0   20.0000    0.3750;
         0   20.0000    0.5000;
         0   20.0000    0.6250;
         0   20.0000    0.7500;
         0   20.0000    0.8750;
         0   30.0000    0.5000;
         0   10.0000    0.5000;
         0    5.0000    0.5000;
   10.0000   30.0000    0.5000;
   20.0000   30.0000    0.5000;
    5.0000   20.0000    0.1250;
    5.0000   20.0000    0.8750;
   -.25   20.0000    0.5000];

CER(end,1,:)=-0.25;
for s=1:size(CER,3)                                                          % Order the CE in the same order for all subjects
for r=1:size(Rangement,1)
    try
    a=find(sum(CER(:,1:3,s)==repmat(Rangement(r,:),size(CER,1),1),2)==3);
    E(r,:,s)=CER(a,:,s);
    catch
    E(r,:,s)=nan(11,1);
    end
end   
end    

Rangement=[... 
        0  -20.0000    0.1250;
        0  -20.0000    0.2500;
        0  -20.0000    0.3750;
        0  -20.0000    0.6250;
        0  -20.0000    0.7500;
        0  -20.0000    0.8750 ;      
     -5.0000  -20.0000    0.1250;
     -5.0000  -20.0000    0.8750;
         0   20.0000    0.1250;
         0   20.0000    0.2500;
         0   20.0000    0.3750;
         0   20.0000    0.6250;
         0   20.0000    0.7500;
         0   20.0000    0.8750;
    5.0000   20.0000    0.1250;
    5.0000   20.0000    0.8750];


for s=1:size(CEU,3)                                                          % Order the CE in the same order for all subjects
for r=1:size(Rangement,1)
    try
    a=find(sum(CEU(:,1:3,s)==repmat(Rangement(r,:),size(CEU,1),1),2)==3);
    E_U(r,:,s)=CEU(a,:,s);
    catch
    E_U(r,:,s)=nan(11,1);
    end
end   
end

save Certainty_Equivalents E E_U -append

Losses(:,1)=1:13;
Gains(:,1)=14:27;
Mixed(:,1)=28;

Losses(:,2:5)=E(1:13,[3 2 1 8],1);
Gains(:,2:5)=E(14:27,[3 2 1 8],1);
Mixed(:,2:5)=[.5 20 -20 0];

save Certainty_Equivalents Gains Losses Mixed -append

Choice_Losses=squeeze(E(1:13,4,:));
Choice_Gains=squeeze(E(14:27,4,:));
Choice_Mixed=(squeeze(E(28,4,:)))';

save Certainty_Equivalents Choice_Gains Choice_Losses Choice_Mixed -append


load COVAR

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% The variables in COV are:
% 1. Person number (1-NP)            MUST BE THIS. DO NOT CHANGE.
% 13. Australia;
% 14. Belgium;
% 15. Brazil;
% 16. Cambodia;
% 17. Chile;
% 18. China;
% 19. Colombia;
% 20. Costarica;
% 21. Czech;
% 22. Ethiopia;
% 23. France;
% 24. Germany;
% 25. Guatemala;
% 26. India;
% 27. Japan;
% 28. Kyrgyzstan;
% 29. Malaysia;
% 30. Nicaragua;
% 31. Nigeria;
% 32. Peru;
% 33. Poland;
% 34. Russia;
% 35. Saudi;
% 36. Southafrica;
% 37. Spain;
% 38. Thailand;
% 39. Tunisia;
% 40. UK;
% 41. USA;
% 42. Vietnam;
% 43. female;
% 44. age;
% 45. height;
% 46. individualism;
% 47. uncertainty_avoidance;
% 48. power_distance;
% 49. masculinity;
% 50. atheist;
% 51. catholic;
% 52. orthodox;
% 53. muslim;
% 54. jewish;
% 55. hindu;
% 56. buddist;
% 57. religion_other;
% 58. protestant;
% 59 gpa
% 60 econ
% 61 math
% 62 natural
% 63 medicine
% 64 social
% 65 humanities
% 66 arts
% 67 study_other
% 68 GDP difference
% 69 Foreigner
% 70 Foreigner GDP
% 71 log expenses
% 72 gini Difference



